REM INFO: Paste Object Tiled.csc v1.5 (PP11)
REM Copyright  James Aswell, 2000-2002
REM 
REM DESCRIPTION:
REM This Script will create a new object in the current document
REM filled with the contents of the clipboard.  This is useful
REM for filling tiling images or any image that has not been
REM previously saved to disk thus avoiding the restrictions of
REM the Bitmap Fill dialog box.

WITHOBJECT "CorelPhotoPaint.Automation.11"
ON ERROR GOTO ERRORHANDLER

	IF .GetDocumentCount() = 0 THEN
		MESSAGE "Please open an image and try again."
		STOP
	ENDIF
	
	.EditPasteObject (.GetDocumentWidth()), (.GetDocumentHeight()), ""
	
	Filename$ = GETTEMPFOLDER() + "\" + "~tiletemp.cpt"

	.EditCopyToFile Filename$, 769, 0

	.ObjectDelete
	.EndObject

	.ObjectNew "Tiled Image", 100, 0

	.FillTool 0, 0
		.ToleranceSettings 0, 100, 10, 10, 10
		.FillBitmap Filename$, 32, 32, 0, 0, FALSE, 0, TRUE, FALSE, TRUE, 0, 0
		.Fill 0, 0, TRUE

	KILL Filename$

END WITHOBJECT

STOP

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT

